/*
 *		Copyright (C) 1996 by Sony Computer Entertainment Inc.
 *				All rights Reserved
 *
 *		PadRead() access macro 
 */

/* 
 * Modified by ScoTT Campbell - 11/9/98 
 * Functions renamed						  
*/


#include "..\headers\pad.h"



void InitControllers()
// Get addresses of controllers' buffers
{
	GetPadBuf(&padbuff1, &padbuff2);
}



unsigned long int ReadControllers()
// Read from controllers 1 and 2
{
	return (~(*(padbuff1+3) | *(padbuff1+2) << 8 | *(padbuff2+3) << 16 | *(padbuff2+2) << 24));
}